%define oname	gusb

%define major	2
%define libname	%mklibname %{oname} %{major}
%define devname	%mklibname %{oname} -d

Summary:	GLib wrapper around libusb1
Name:		libgusb
Version:	0.4.7
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitorious.org/gusb/
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
#---------------------------------
BuildRequires: gtk-doc
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64usb1.0-devel
BuildRequires: lib64vala-devel
BuildRequires: pkgconfig
BuildRequires: lib64umockdev-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: python3-typogrify
#---------------------------------

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{libname}
Summary:	GLib wrapper around libusb1
Group:		System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{devname}
Summary:	Development libraries and headers for %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.

%prep
%setup -q

%build
%__meson build --prefix=%{_prefix}
%meson_build

%install
%meson_install -C build


#we don't want these
find %{buildroot} -name "*.la" -delete

#drop this
rm -rf %buildroot/%{_datadir}/doc

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files -n%{devname}
%{_includedir}/%{oname}-1
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.vapi
%{_bindir}/gusbcmd
%{_datadir}/vala/vapi/gusb.*

%changelog
* Wed Oct 18 2023 tex - 0.4.7-1pclos2023
- new version

* Sat Feb 11 2023 tex - 0.4.5-1pclos2023
- new version

* Sun Feb 05 2023 tex - 0.4.4-1pclos2023
- new version

* Wed Dec 28 2022 tex - 0.4.3-1pclos2023
- new version

* Thu Oct 20 2022 tex - 0.4.2-1pclos2022
- new version

* Wed Oct 05 2022 tex - 0.4.1-1pclos2022
- new version

* Wed Jun 23 2021 tex - 0.3.7-1pclos2021
- new version

* Sat Mar 13 2021 tex - 0.3.6-1pclos2021
- new version
